Subject: bug#79253: Add timestamps to *Messages*

From: "R. Diez" <[email-masked]>
Date: Sat, 16 Aug 2025 22:58:28 +0200

> What is wrong with Tramp's debug buffers? They provide timestamps.

I suspect that some Tramp connection timeout messages only appear in the *Messages* buffer, and not in Tramp's debugger buffer, or they appear with a long delay. That is why I wanted to correlate.

In any case, I should have phrased this feature request differently. It is not about Tramp, it is a general feature request for *Messages* which could help in other scenarios, like correlating Emacs events with external logs, or just checking how much time has passed between 2 messages in that buffer, or how long ago some event I am trying to troubleshoot happened.

> Personally, I don't believe we shall add such a general "improvement" to
> the *Messages* buffer. It is a simple mean to show messages sent to
> it. The contents of a message, including a timestamp, is the
> responsibility of the sender.

I have a different opinion. 8-)

It is impractical for the sender to add timestamps. There are thousands of senders. And how are they going to agree the time format?

Other log systems or log windows add the timestamps automatically. In the command line, I can use a tool like 'ts' from moreutils in order to prepend a timestamp to every line of input you give it. But that wouldn't work with the *Messages* buffer.